PDA

View Full Version : VLC installation from packman repo



aabdelkhalek
19-Mar-2014, 04:47
When I try to install VLC from packman repo for SLE, and when I install the package vlc-noX-1.1.13-5.29.x86_64

I get the below error

nothing provides liba52.so.0()(64bit) needed by vlc-noX-1.1.13-5.29.x86_64

Any clue why is that? and where to find that package?

Thanks

malcolmlewis
19-Mar-2014, 05:22
Hi
http://packman.links2linux.org/package/a52dec provides the liba52 library.

However, you may get better mileage from the actual VLC repo;
http://download.videolan.org/pub/videolan/vlc/SuSE/SLE11/

jinggles1
08-Nov-2014, 18:15
Hi Malcolm,

can you give me the correct link for SLED11 repo?
The above mentioned does not work anymore, on the server I could only find SLED12 repo.
Thanks,
Nadine

abbasahmad
15-Nov-2014, 06:00
any one try this repo?
http://download.videolan.org/pub/videolan/vlc/SuSE/SLE12/
i try the src but its failed with unknown error while running the rmp package, when i run with terminal the error was "Loading repository data...
Reading installed packages...
'_tmpRPMcache_:vlc=0:2.1.5-119.1' not found in package names. Trying capabilities.
No provider of '_tmpRPMcache_:vlc=0:2.1.5-119.1' found.
Resolving package dependencies...

Nothing to do."

can anybody help me to get out from this error or guide me for some vlc source

malcolmlewis
15-Nov-2014, 06:24
any one try this repo?
http://download.videolan.org/pub/videolan/vlc/SuSE/SLE12/
i try the src but its failed with unknown error while running the rmp package, when i run with terminal the error was "Loading repository data...
Reading installed packages...
'_tmpRPMcache_:vlc=0:2.1.5-119.1' not found in package names. Trying capabilities.
No provider of '_tmpRPMcache_:vlc=0:2.1.5-119.1' found.
Resolving package dependencies...

Nothing to do."

can anybody help me to get out from this error or guide me for some vlc source
Hi
Does the temp repo appear in the output from;


zypper lr -d

Why build from source, you can just add the repository and install if your running SLE 12?

abbasahmad
15-Nov-2014, 08:26
Hi
Does the temp repo appear in the output from;


zypper lr -d

Why build from source, you can just add the repository and install if your running SLE 12?

Yes the repo appear in the list,
while installing from repo the error message appear
nothing provides libxcb-composite.so.O()(64bit) needed by vlc-noX-2.1.5-119.1.x86_64


Regards
Abbas

malcolmlewis
15-Nov-2014, 16:30
On Sat 15 Nov 2014 07:34:02 AM CST, abbasahmad wrote:


malcolmlewis;24924 Wrote:
> Hi
> Does the temp repo appear in the output from;
> >
Code:
--------------------
> >
> zypper lr -d
>
--------------------
> >
> Why build from source, you can just add the repository and install if
> your running SLE 12?

Yes the repo appear in the list,
while installing from repo the error message appear
nothing provides libxcb-composite.so.O()(64bit) needed by
vlc-noX-2.1.5-119.1.x86_64


Regards
Abbas




Hi
Since it's not part of SLE, best to contact the videolan folks so they
can add it into the repo as a dependency.

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 GNOME 3.10.1 Kernel 3.12.28-4-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!